Registration Email: missing 'To:' header

2023-05-03 11:50 - Hendrik Jaeger

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Website (redmine.org) Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

Hi

My spamscanner added 2 points to the registration mail from redmine.org:

Symbol: MISSING_TO(2.00)    

This should be trivial to fix and improve deliverability a lot.

On IRC there are regular complaints about registration mails from redmine.org not being received and this might be (part of) the

problem.

Affected version is whatever redmine.org is currently running. I think as a non-admin I can not see which version exactly this is.

History

#1 - 2023-05-03 13:26 - Pavel Rosický

I can confirm that, but it's specific to redmine.org. A regular redmine installation doesn't have this problem.

#2 - 2023-05-03 15:59 - Holger Just

- Category changed from Email notifications to Website (redmine.org)

This is related to redmine.org only.

As redmine.org runs Redmine 4.2 now, the BCC recipients option should be disabled. It was entirely removed with #30820 as it has no useful

purpose now that we send individual mails to each recipient.

@Jean-Philippe: Could you disable the "BCC recipients" option on redmine.org?

#3 - 2023-05-03 16:06 - Marius BĂLTEANU

- Status changed from New to Resolved

- Assignee set to Marius BĂLTEANU

- Resolution set to Fixed

Holger Just wrote in #note-2:

This is related to redmine.org only.

As redmine.org runs Redmine 4.2 now, the BCC recipients option should be disabled. It was entirely removed with #30820 as it has no useful

purpose now that we send individual mails to each recipient.

@Jean-Philippe: Could you disable the "BCC recipients" option on redmine.org?

 I did it, the option is now disabled.

Hendrik Adam, can you retest, please?

#4 - 2023-05-12 13:54 - Hendrik Jaeger

Marius BALTEANU wrote in #note-3:

2025-05-01 1/2

https://www.redmine.org/issues/30820
https://www.redmine.org/issues/30820
https://www.redmine.org/users/5367


Holger Just wrote in #note-2:

This is related to redmine.org only.

As redmine.org runs Redmine 4.2 now, the BCC recipients option should be disabled. It was entirely removed with #30820 as it has no

useful purpose now that we send individual mails to each recipient.

@Jean-Philippe: Could you disable the "BCC recipients" option on redmine.org?

 I did it, the option is now disabled.

Hendrik Adam, can you retest, please?

 I never completed registration for the account I tested with.

I tried re-registering with the same email address and it wouldn’t let me.

But logging in with that allowed me to send the activation email again and that did have a "To:" header.

So while this issue seems fixed, two new questions arose:

do unactivated accounts ever expire when not activated? Would that possibly be a feature to implement? I opened #38541 for that

better completion of usernames might be a good idea, because I don’t think Hendrik Adam was involved at all here (; I’m Hendrik Jaeger, so

(at)hendrik vs (at)henk and it seems not possible to find out the nickname/login-name of a person without opening their profile (which is easy

enough but still a step more compared to a better completion or a popup when hovering over a username e.g. in the "updated by $user" heading

of a comment) I opened #38542 for that

Fixing this ticket might help with #37512 and #37453

#5 - 2023-05-16 18:49 - Holger Just

- Status changed from Resolved to Closed

Closing this as the original issues was resolved. For the other points mentioned in #note-4, you have already opened new issues which appear to be

answered already.
